Bug 508753 - kernel oops when running yum with smbios-utils-bin
kernel oops when running yum with smbios-utils-bin
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael E Brown
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 13:49 EDT by Jan ONDREJ
Modified: 2010-06-28 09:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:22:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Second oops. (6.52 KB, text/plain)
2009-06-29 13:49 EDT, Jan ONDREJ
no flags Details
First oops, may be incomplete. (5.93 KB, text/plain)
2009-06-29 13:51 EDT, Jan ONDREJ
no flags Details

  None (edit)
Description Jan ONDREJ 2009-06-29 13:49:53 EDT
Created attachment 349834 [details]
Second oops.

Description of problem:
When running "yum update" or "yum list" and maybe some other similar commands with installed smbios-utils-bin package, my server hangs. Kernel oops is attached.

Version-Release number of selected component (if applicable):
kernel-2.6.29.4-167.fc11.x86_64
kernel-2.6.29.5-191.fc11.x86_64
smbios-utils-bin-2.2.16-2.1.fc11.x86_64

How reproducible:
Always on my system (PowerEdge 2950), may be not reproducible on other hardware.

Steps to Reproduce:
1. yum install smbios-utils-bin
2. yum update
  
Actual results:
kernel oops, keyboard is dead, serial console dead, only RESET is possible

Expected results:
running system
Comment 1 Jan ONDREJ 2009-06-29 13:51:12 EDT
Created attachment 349836 [details]
First oops, may be incomplete.

Workaround:

rpm -e smbios-utils-bin
Comment 2 Chuck Ebbert 2009-06-30 13:08:11 EDT
Looks like the dcdbas driver or the BIOS are corrupting memory. This is a Dell server and yum invokes dellsysidplugin2 when it runs, which calls into libsmbios function sysinfo_get_dell_system_id().
Comment 3 Jan ONDREJ 2009-06-30 13:29:56 EDT
(In reply to comment #2)
> Looks like the dcdbas driver or the BIOS are corrupting memory. This is a Dell
> server and yum invokes dellsysidplugin2 when it runs, which calls into
> libsmbios function sysinfo_get_dell_system_id().  

Agree something similar as you describe, with small exceptions, that it fails also if there is no dellsysidplugin* installed. On my system:

[root@vs1 ~]# ls /etc/yum/pluginconf.d/
downloadonly.conf
[root@vs1 ~]# 

My current BIOS:
BIOS Information
        Vendor: Dell Inc.
        Version: 2.3.1
        Release Date: 04/29/2008
Comment 4 Chuck Ebbert 2009-06-30 23:31:44 EDT
Can you test whether blacklisting the dcdbas driver fixes the problem?
Comment 5 Jan ONDREJ 2009-07-01 01:39:57 EDT
(In reply to comment #4)
> Can you test whether blacklisting the dcdbas driver fixes the problem?  

No, it's a production server. I can't do more tests, which can shutdown my server.

May be I can make some tests later, when new kernel update will be available and I have to reboot my machine. We also waiting for new hardware, then I can leave this one for testing, but it can me some months.
Comment 6 Bug Zapper 2010-04-27 11:21:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 09:22:42 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.